# Guidelines
# * Add images you need and uses regularly
# * Try avoid additional distributions, use debian when possible.
# * Try to limit amount of tags to be downloaded, but don't be too cheap
# * Don't add too much at a time, we get rate limited by docker and sync will fail
docker.io:
  images:
    # Downloading images on exact tag
    hashicorp/vault:
    - 1.12.1
    hashicorp/vault-k8s:
    - 1.1.0
    debian:
    - 10-slim
    - 11-slim
    ubuntu:
      - 18.04
    centos/mysql-57-centos7:
      - 5.7
      - latest
    centos/redis-32-centos7:
      - 3.2
      - latest
    centos/postgresql-10-centos7:
      - latest
    memcached:
      - 1.6
      - 1.5
    mikefarah/yq:
      - 4
    curlimages/curl:
      - latest
    node:
      - 17.1.0
      - 17.9.0
      - 17.9.0-buster
      - 18.9.0-buster
      - 18.9.0-buster-slim
    nginx:
      - 1.21.6
    opensearchproject/opensearch-dashboards:
      - 2.6.0
    opensearchproject/opensearch:
      - 2.6.0
  images-by-tag-regex:
    # Downloading images based on regex of tag.
    # Python 3.9 and higher images, no letter in version number. Debian based.
    python: ^3\.(9|1.?)[0-9.-]*-slim-bullseye
    # PHP 8.0 and higher using Apache
    php: ^8\.0\.[0-9]*-apache
    curlimages/curl: ^7\.[7-9][0-9]*\..*
registry.access.redhat.com:
  images:
    ubi8/skopeo:
    - 8.4-15
ghcr.io:
  images:
    external-secrets/external-secrets:
    - v0.8.1
quay.io:
  images:
    redhat-cop/kube-rbac-proxy:
    - v0.11.0
    redhat-cop/vault-config-operator:
    - v0.8.13
